{ lib
, buildPythonPackage
, fetchgit
, setuptools
, pygobject3
, idna
, packaging
, precis-i18n
, gssapi
, pyopenssl
, libsoup_3
, gobject-introspection
, glib
, glib-networking
}:

buildPythonPackage rec {
  pname = "python-nbxmpp";
  version = "4.2.2";
  format = "pyproject";

  src = fetchgit {
    url = "https://dev.gajim.org/gajim/python-nbxmpp";
    rev = version;
    hash = "sha256-ZTX8plcsO4zE7ruLtWIvsagQUvwPHuKdPKRwCrFwvgc=";
  };

  nativeBuildInputs = [
    setuptools
    gobject-introspection
  ];

  propagatedBuildInputs = [
    pygobject3
    idna
    packaging
    precis-i18n
    libsoup_3
    glib glib-networking
    pyopenssl
    gobject-introspection
  ];

  pythonImportsCheck = [ "nbxmpp" ];

  meta = with lib; {
    description = "";
    homepage = "https://dev.gajim.org/gajim/python-nbxmpp";
    license = licenses.gpl3Only;
    maintainers = with maintainers; [ ];
  };
}
